PYTHON ШПАРГАЛКА

размещено в: BIM | 0

Шпаргалка это то, куда можно подглядеть, когда забыл правильное решение. Сюда буду складывать Python код для Dynamo и Revit Python Shell.

Вывод окна «Hello world»

import clr
clr.AddReference(‘RevitAPI’)
clr.AddReference(‘RevitAPIUI’)

from Autodesk.Revit.DB import *

app = __revit__.Application
doc = __revit__.ActiveUIDocument.Document

t = Transaction(doc,’Проект’)

t.Start()

TaskDialog.Show(«Название окна»,»Hello world»)

t.Commit()

#__window__.Close()

Открыть папку

import subprocess

subprocess.Popen(‘explorer «G:\BIM»‘)

Открыть файл

import os

os.startfile(«G:\BIM\TSN_BIM_стандарт.pdf»)

 

Закрыть файл Revit без сохранения

from System.Diagnostics import Process

p = Process.GetCurrentProcess()

p.Kill()

Создать чертежный вид

from Autodesk.Revit.DB import Transaction, Element
from Autodesk.Revit.DB import FilteredElementCollector
from Autodesk.Revit.DB import ViewFamilyType, ViewDrafting, Element
from Autodesk.Revit.DB import ViewFamily

uidoc = __revit__.ActiveUIDocument
doc = uidoc.Document

t = Transaction(doc, ‘Create Drafting View’)
t.Start()
def get_drafting_type_id():
viewfamily_types = FilteredElementCollector(doc).OfClass(ViewFamilyType)
for i in viewfamily_types:
if i.ViewFamily == ViewFamily.Drafting:
return i.Id
drafting_type_id = get_drafting_type_id()
drafting_view = ViewDrafting.Create(doc, drafting_type_id)

t.Commit()

Перевод списка чисел в список строк

list=[]

list.append(str(int(i)))

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *